%define name		emberio
%define version		0.3
%define release		0.alpha.1jpp
%define	section		free


Name:		%{name}
Summary:	EmberIO Library for managing low-level I/O
Url:		http://sourceforge.net/projects/pyrasun/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	BSD
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Source0:	emberio-0.3_alpha-src.tar.gz
Patch0:		emberio-build_xml.patch

Requires:	log4j
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The Pyrasun Libraries Project is a collection of 
high-performance Java libraries for use in both 
stand-alone and J2EE environments. This includes 
the EmberIO Library for managing low-level I/O, 
and PyraLog, the Pyrasun binary transactional log.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n pyrasun
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;

%patch0 -b .sav

%build
pushd eio
pushd lib
ln -sf $(build-classpath log4j) .
popd
ant jar test-jar javadoc
popd

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 eio/dist/EmberIO-0.3_alpha.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 eio/dist/EmberIO-0.3_alpha-test.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-test-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr eio/docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(-,root,root)
%{_javadir}/*

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Tue Mar 01 2005 Ralph Apel <r.apel at r-apel.de> 0:0.3-0.alpha.1jpp
- First release

